<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_callback</name>
    <title>Globus Callback</title>
    <filename>group__globus__callback.html</filename>
    <subgroup>globus_callback_api</subgroup>
    <subgroup>globus_callback_spaces</subgroup>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga001f6534f36aaf305f44175afb7b4a89</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_POLL_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga1c95d2b5dbbca83d8f2299ce83fbd438</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_handle_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gab1094a083bf6fc359e01c5d66c436fa0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_space_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga82637fa200d6ff891c747397a8eb0f38</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_l_callback_space_attr_s *</type>
      <name>globus_callback_space_attr_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gad4d53fc479ecb547f3d7b2be6df8a2a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_error_type_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gabdc22c8e6432da1fd9ee7a43da965cc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9a709b3d44c4ae3090a80656dab33dcd4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_SPACE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9ae1619313606a50072339d789a6f3696b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9a8324a279b17b1b5ec7eeea77997316cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9ad182d7837cb9203c5c7c2645ef04e244</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9a9633996be95ba0110a879b830a348e1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9a8fd5822d22f7036be63bda0d98e85448</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_api</name>
    <title>Globus Callback API</title>
    <filename>group__globus__callback__api.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga1042269f15b8fdfea578e741afc49b79</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_blocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga2c593841698b6a60e31a013314bd2b1f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_nonblocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga3a74e42890106e8ca124f2aeee49bb8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga6a041076a6c38643473d5404050e5937</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga6c3e34a2accbaa40af681d4c9209c4a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga37ed53765dd29c3d5733f34f03b20605</anchor>
      <arglist>(callback_handle,delay_time,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga9910c067bdd0b92578979fae90484d2a</anchor>
      <arglist>(callback_handle,delay_time,period,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_signal_handler</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga71543941bfaaf5a7ed94a657bc7786a5</anchor>
      <arglist>(signum,persist,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_callback_func_t</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gaf9532eb7d40466d5af31fe6ba2b9a6a3</anchor>
      <arglist>)(void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga5dcf1ecca93ff8b31ba78768eed2f9ca</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga79a7deb3d5706d8944c9778e451d94bd</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, const globus_reltime_t *period, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga9f9f7b94b22a26b58d9b6f56d174e3dd</anchor>
      <arglist>(globus_callback_handle_t callback_handle, globus_callback_func_t unregister_callback, void *unreg_arg, globus_bool_t *active)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga951428ba6b26aa601f8e3a1ad27bbe70</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_delay)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_period</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gabb9d4011d7b006c9d73f4f31c8ea27b2</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_period)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_space_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga85ccba358a78b43b3154ce0cf9404b05</anchor>
      <arglist>(const globus_abstime_t *timestop, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga9e8d438f31c0be105b32b6f55f32f8f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_get_timeout</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gaeb9a276723b8940a5050dfd55499a42d</anchor>
      <arglist>(globus_reltime_t *time_left)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_has_time_expired</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga020baf7ac4f7e096c669be1f2607330e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_was_restarted</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gad880ae53e75a35941d0d7e3793979058</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_spaces</name>
    <title>Globus Callback Spaces</title>
    <filename>group__globus__callback__spaces.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_GLOBAL_SPACE</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gac4dbfeee48388b4b78abb15fdfb5620d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_space_behavior_t</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gac5c2e2ee259e3bceaea0b201bcc3efaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SINGLE</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ggac5c2e2ee259e3bceaea0b201bcc3efaaa555e447a5b2006173a94d68f793b4913</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SERIALIZED</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ggac5c2e2ee259e3bceaea0b201bcc3efaaa83bce54e7eeeaa2ab7caa06894cd13a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_THREADED</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ggac5c2e2ee259e3bceaea0b201bcc3efaaabe95b074b057afd9caad744ca316fd2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga7221ad7cd5d4d61ad03e5cce42f6e0ff</anchor>
      <arglist>(globus_callback_space_t *space, globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_reference</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gab7858315cda2711279b28e1cca047789</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga2d6033dbe920cc774fcbea1f83ad5a4e</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gad5f454d33a643f6ade211f2503ba605a</anchor>
      <arglist>(globus_callback_space_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga841592200c8a34e5fb125c1e962530b7</anchor>
      <arglist>(globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_set_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga84e7edaa81a33ebc97a527b1c618fd50</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_get_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga19b2a1f4082449e43c964e9833c98132</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t *behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_get</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga4f196834eb7f366953c27ba3a43f2d5c</anchor>
      <arglist>(globus_callback_space_t *space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_callback_space_get_depth</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga385aef912c30791d9fb9f689ba461ead</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_space_is_single</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gafb085d7faf2134d3bfb2e4001175ad59</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_signal</name>
    <title>Globus Callback Signal Handling</title>
    <filename>group__globus__callback__signal.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_SIGNAL_INTERRUPT</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>ga69254c1d4e46a0f034ad4fa0c2544e8e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>ga73dd8a0afb4683a89b38c1c5e02db33e</anchor>
      <arglist>(int signum, globus_bool_t persist, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>ga188f696c9ecbac1b022012b61756c47b</anchor>
      <arglist>(int signum, globus_callback_func_t unregister_callback, void *unreg_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_add_wakeup_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>ga161a6324f166f939e450b9459cf6aafa</anchor>
      <arglist>(void(*wakeup)(void *), void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_api</name>
    <title>Globus Errno Error API</title>
    <filename>group__globus__errno__error__api.html</filename>
    <subgroup>globus_errno_error_object</subgroup>
    <subgroup>globus_errno_error_accessor</subgroup>
    <subgroup>globus_errno_error_utility</subgroup>
    <docanchor file="group__globus__errno__error__api">globus_errno_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__errno__error__object.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_ERRNO</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>ga94185c58042d5ff7cac5281fbbf2da1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_errno_error</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>ga69e31860d53c761f93ac2a65d3eb7154</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_errno_error</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>ga07b38092dd74ecb6a6125e78960332c2</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int system_errno)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__errno__error__accessor.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_error_errno_get_errno</name>
      <anchorfile>group__globus__errno__error__accessor.html</anchorfile>
      <anchor>gaa14b7b6fb57278d5f1f8e908cba2d22f</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_errno_set_errno</name>
      <anchorfile>group__globus__errno__error__accessor.html</anchorfile>
      <anchor>gaebcc512ffc4b8401a30af8202e34fc6a</anchor>
      <arglist>(globus_object_t *error, const int system_errno)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__errno__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_errno_match</name>
      <anchorfile>group__globus__errno__error__utility.html</anchorfile>
      <anchor>ga3f891f35f34313d70ca88c86827fa390</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_errno_error</name>
      <anchorfile>group__globus__errno__error__utility.html</anchorfile>
      <anchor>gac98b9990387bcb26044193fe885b8ff8</anchor>
      <arglist>(globus_module_descriptor_t *base_source, int system_errno, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_error_api</name>
    <title>Globus Error API</title>
    <filename>group__globus__error__api.html</filename>
    <subgroup>globus_errno_error_api</subgroup>
    <subgroup>globus_generic_error_api</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_api</name>
    <title>Globus Generic Error API</title>
    <filename>group__globus__generic__error__api.html</filename>
    <subgroup>globus_generic_error_object</subgroup>
    <subgroup>globus_generic_error_accessor</subgroup>
    <subgroup>globus_generic_error_utility</subgroup>
    <docanchor file="group__globus__generic__error__api">globus_generic_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__generic__error__object.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_GLOBUS</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>ga8fdc85772e479ba987fd496039516065</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>ga2e4aa651000f003991af6a766f6120e5</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_v_construct_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>gac86c29289d7428fc695273f8ba51511d</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>ga5915386c64811d78f50bfb01a16783c7</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__generic__error__accessor.html</filename>
    <member kind="function">
      <type>globus_module_descriptor_t *</type>
      <name>globus_error_get_source</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga7177a61ceb9e221589d2b7c8afb91365</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_source</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga233c6cfbeb5ac02a7c86f087a2d83762</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *source_module)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_get_cause</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga535d97a0806fa466c8f086ef1c1bab9a</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_cause</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gaa128b1cc5518302f4e4292a987392976</anchor>
      <arglist>(globus_object_t *error, globus_object_t *causal_error)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_error_get_type</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga178a83a65eef9ba58a88e2a5fcf1c781</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_type</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga098cd7c084ca5cddcf9d5a63c309172f</anchor>
      <arglist>(globus_object_t *error, const int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_short_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gae995aeed35844dd6539b85a31df31e66</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_short_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga0fa4eb98ddbba6c376bd16f512b8fe85</anchor>
      <arglist>(globus_object_t *error, const char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_long_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga262c03dd3d081f036ce39ac13ed82324</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_long_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gaef263d7eb8d7eb1304aaeff5e1003619</anchor>
      <arglist>(globus_object_t *error, const char *long_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__generic__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_match</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>gabc9e30ff28f507d8297900808e4e0714</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_chain</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>ga0c90e5ebed8b504645b53ae62e4c457f</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_friendly</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>ga5114e24fdb91268e276f12fafe2b9bee</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_priority_q</name>
    <title>Priority Queue</title>
    <filename>group__globus__priority__q.html</filename>
    <class kind="struct">globus_priority_q_s</class>
    <member kind="typedef">
      <type>int(*</type>
      <name>globus_priority_q_cmp_func_t</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>gac7c226bc88e162fee1ce9f6d9e35275b</anchor>
      <arglist>)(void *priority_1, void *priority_2)</arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_priority_q_s</type>
      <name>globus_priority_q_t</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga57d2dcdaf11e5b4b0e23a4ed85cd2477</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_priority_q_init</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga777e24de9ebf5dbf081bce3e11d3b0b2</anchor>
      <arglist>(globus_priority_q_t *priority_q, globus_priority_q_cmp_func_t cmp_func)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_priority_q_destroy</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga3267c338d8b8c29267a517292c32369d</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_priority_q_empty</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga9a23773f79537a8551969137a58b166b</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_priority_q_size</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga714672f2c4e5ca21a927431efe3c7ce7</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_priority_q_enqueue</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>gaac3d8d3fcd60f6f2d2d920591afab8b1</anchor>
      <arglist>(globus_priority_q_t *priority_q, void *datum, void *priority)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_dequeue</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga97b65d8995172b56a71ce85d4ec00309</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_first</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>gababe649e6fa982ee7c82c996834d8a5d</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_first_priority</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga95e3700a86ecb78a0f42e60e523564da</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_remove</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>gaf3283f57133c0a9618b7973d7d65b906</anchor>
      <arglist>(globus_priority_q_t *priority_q, void *datum)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_modify</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga2c66ce8354a843fe45daf7f0d4123082</anchor>
      <arglist>(globus_priority_q_t *priority_q, void *datum, void *new_priority)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_thread</name>
    <title>Threading</title>
    <filename>group__globus__thread.html</filename>
    <subgroup>globus_mutex</subgroup>
    <subgroup>globus_cond</subgroup>
    <subgroup>globus_thread_key</subgroup>
    <subgroup>globus_thread_once</subgroup>
    <class kind="union">globus_thread_t</class>
    <class kind="union">globus_threadattr_t</class>
    <class kind="union">globus_thread_key_t</class>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_THREAD_CANCEL_DISABLE</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gaf15a5fb8ed82c9a48bf3315bfe1142c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_THREAD_CANCEL_ENABLE</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga54aa25c95e89566ba181eea9733651d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_THREAD_MODULE</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga1e4ac32bb0133044557d82ae454c5524</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_thread_key_destructor_func_t</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gab9a4db7600579bd5aad4383fa57551d9</anchor>
      <arglist>)(void *value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_set_model</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gab1e6b22b1d55346b3191402fdc7e341b</anchor>
      <arglist>(const char *model)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_create</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gac743f4cd1e4a49e6ccc23dea8d8a1775</anchor>
      <arglist>(globus_thread_t *thread, globus_threadattr_t *attr, globus_thread_func_t func, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_thread_yield</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga6a6e15c71b17287216b6503861386d37</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_thread_exit</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gad82ec7a9a046558859124766c85e8491</anchor>
      <arglist>(void *value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_sigmask</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gadf6ddab884b07297c0699e9793aa8726</anchor>
      <arglist>(int how, const sigset_t *new_mask, sigset_t *old_mask)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_kill</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gae606e850d19fd3fe438fa6bfc6515394</anchor>
      <arglist>(globus_thread_t thread, int sig)</arglist>
    </member>
    <member kind="function">
      <type>globus_thread_t</type>
      <name>globus_thread_self</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga0075f9c3c3c1e2a2eb41a10913ccfca6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_thread_equal</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga0858d6945cc5ed82cec65eadd2ef0a32</anchor>
      <arglist>(globus_thread_t thread1, globus_thread_t thread2)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_thread_preemptive_threads</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga138729b018e3e31bd591d9421af656f7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_i_am_only_thread</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga8df3fff10bd599db534519b6907e1922</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_thread_cancellable_func</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga990a7deb9ec83c5bf4ca8a25d1fdc3a0</anchor>
      <arglist>(void *(*func)(void *), void *arg, void(*cleanup_func)(void *), void *cleanup_arg, globus_bool_t execute_cleanup)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_cancel</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga3aca327a5a9ed473446a788f255e793f</anchor>
      <arglist>(globus_thread_t thr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_thread_testcancel</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gae0397b4b91b07b45d27f30ba5954bc7c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_setcancelstate</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga201f97630ba96e417c65a9ffe4075e6c</anchor>
      <arglist>(int state, int *oldstate)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_mutex</name>
    <title>Mutual Exclusion</title>
    <filename>group__globus__mutex.html</filename>
    <class kind="union">globus_mutex_t</class>
    <class kind="union">globus_mutexattr_t</class>
    <class kind="struct">globus_rmutex_t</class>
    <member kind="typedef">
      <type>int</type>
      <name>globus_rmutexattr_t</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga393b167864ed6de6974e6531e18c49f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_init</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga3ff7b5a88fc262ec7751db6b7ffce13f</anchor>
      <arglist>(globus_mutex_t *mutex, globus_mutexattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_destroy</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga9417e7b0f8c9ca048585f68f8abbc9b8</anchor>
      <arglist>(globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_lock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga053b5f9b263f11b7305efdbee881bf5d</anchor>
      <arglist>(globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_unlock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga8074266ebb8c3359a6078ffe654cc531</anchor>
      <arglist>(globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_trylock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga796547c088462e8c35ef87e279d27fb8</anchor>
      <arglist>(globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutexattr_init</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gae5763a14b7f8f8b1f8372394e162d2ef</anchor>
      <arglist>(globus_mutexattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutexattr_destroy</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gaabcb4021e84485c4c4cbd20ce5771393</anchor>
      <arglist>(globus_mutexattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rmutex_init</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gaa72a6972fef363a21bf49b743f37333d</anchor>
      <arglist>(globus_rmutex_t *rmutex, globus_rmutexattr_t *rattr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rmutex_lock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga0e104ab44374ecd4a4e5127889da2df5</anchor>
      <arglist>(globus_rmutex_t *rmutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rmutex_unlock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga426c89b89ff57098b98fe5fd5730fd0a</anchor>
      <arglist>(globus_rmutex_t *rmutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rmutex_destroy</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>ga15128a4a5ad759025ca7194b4fabc295</anchor>
      <arglist>(globus_rmutex_t *rmutex)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_cond</name>
    <title>Condition Variables</title>
    <filename>group__globus__cond.html</filename>
    <class kind="union">globus_cond_t</class>
    <class kind="union">globus_condattr_t</class>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_init</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>ga1c074938c3f7c436bb6c3248a698533a</anchor>
      <arglist>(globus_cond_t *cond, globus_condattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_destroy</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>ga4eb0f26fc152d2c2ec956cfde24e4190</anchor>
      <arglist>(globus_cond_t *cond)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_wait</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>ga9b58106e5b1b2545ab45db0e3e4f98b0</anchor>
      <arglist>(globus_cond_t *cond, globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_timedwait</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>gaaeabb30d3449c1d693b02241f92fd6b5</anchor>
      <arglist>(globus_cond_t *cond, globus_mutex_t *mutex, globus_abstime_t *abstime)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_signal</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>ga05a56b1f671782a6a2c0d2c72292dd47</anchor>
      <arglist>(globus_cond_t *cond)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_broadcast</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>ga380d237b678089096a9e23487b20393f</anchor>
      <arglist>(globus_cond_t *cond)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_init</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>ga2d3d2973d1d31d574ea3eb524bea0304</anchor>
      <arglist>(globus_condattr_t *cond_attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_destroy</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>ga0a0ed173728c392dc6778ec913c40c31</anchor>
      <arglist>(globus_condattr_t *cond_attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_setspace</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>gacca6f5cb093ac7aed78c91416f85843f</anchor>
      <arglist>(globus_condattr_t *cond_attr, int space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_getspace</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>gaacfdc80dc9721a8cd2f8ebe9b999f46a</anchor>
      <arglist>(globus_condattr_t *cond_attr, int *space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_thread_key</name>
    <title>Thread-Specific Storage</title>
    <filename>group__globus__thread__key.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_key_create</name>
      <anchorfile>group__globus__thread__key.html</anchorfile>
      <anchor>gac1e87a67ba01b481cab00e58c04066f9</anchor>
      <arglist>(globus_thread_key_t *key, globus_thread_key_destructor_func_t destructor)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_key_delete</name>
      <anchorfile>group__globus__thread__key.html</anchorfile>
      <anchor>ga3a0ea6cd8557e23d25ca4bb4abac205a</anchor>
      <arglist>(globus_thread_key_t key)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_thread_getspecific</name>
      <anchorfile>group__globus__thread__key.html</anchorfile>
      <anchor>ga54b93ce20069e0616e5b05e2be49d240</anchor>
      <arglist>(globus_thread_key_t key)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_setspecific</name>
      <anchorfile>group__globus__thread__key.html</anchorfile>
      <anchor>ga576439a7030a7e1dc81da6c36d05655f</anchor>
      <arglist>(globus_thread_key_t key, void *value)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_thread_once</name>
    <title>One-time execution</title>
    <filename>group__globus__thread__once.html</filename>
    <class kind="union">globus_thread_once_t</class>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_THREAD_ONCE_INIT</name>
      <anchorfile>group__globus__thread__once.html</anchorfile>
      <anchor>ga38b6477d7d8d53dcbbf6a6f8efc48128</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_once</name>
      <anchorfile>group__globus__thread__once.html</anchorfile>
      <anchor>gae997dbf80ee410d7762083c5e3967b27</anchor>
      <arglist>(globus_thread_once_t *once, void(*init_routine)(void))</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_url</name>
    <title>URL String Parser</title>
    <filename>group__globus__url.html</filename>
    <class kind="struct">globus_url_t</class>
    <member kind="enumeration">
      <name>globus_url_scheme_t</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga774eeb8d0fd9e51f6be47aef44cf1aec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FTP</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aecaa0509be5c6d1b0c646c8299bebd3827a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_GSIFTP</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca5f429ade3fa679fcebd59b6ad776fa21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTP</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca8fff1250e66e914e0154968cd873ce75</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTPS</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aecaa3ac1014b9db9d8336ce382ec0d6fa6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_LDAP</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca9a7c96b60f73b5208c416328b8c8acdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FILE</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca2669694de07c90b4c0542d126f0c7f63</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_NEXUS</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca6b22cb148821c396191f0fde690850d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_GASS_CACHE</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aecad7fd6dfc894211eb8f2fdb4f79834118</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_UNKNOWN</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aecad6735c1376f446768221acc12a4e4b92</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_NUM_SCHEMES</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca47660ee5ccc96f60106faa3358bc3008</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga19ef174b33d9c8f0575715682bac8d65</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_rfc1738</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gabd9bb62fb3933b9b6a16ec4bf707a049</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_loose</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga0973f8aa338513fdcc78d259dfcc17a8</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_destroy</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga95920d71729e6b114afefe824e58348a</anchor>
      <arglist>(globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_get_scheme</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga11552fd218b39c198d45a0318cec4b86</anchor>
      <arglist>(const char *url_string, globus_url_scheme_t *scheme_type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_copy</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga2d8c1bfed2091cdcd37425f06d76a8da</anchor>
      <arglist>(globus_url_t *dst, const globus_url_t *src)</arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>globus_cond_t</name>
    <filename>unionglobus__cond__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_condattr_t</name>
    <filename>unionglobus__condattr__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_mutex_t</name>
    <filename>unionglobus__mutex__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_mutexattr_t</name>
    <filename>unionglobus__mutexattr__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_priority_q_s</name>
    <filename>structglobus__priority__q__s.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_rmutex_t</name>
    <filename>structglobus__rmutex__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_thread_key_t</name>
    <filename>unionglobus__thread__key__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_thread_once_t</name>
    <filename>unionglobus__thread__once__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_thread_t</name>
    <filename>unionglobus__thread__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_threadattr_t</name>
    <filename>unionglobus__threadattr__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_url_t</name>
    <filename>structglobus__url__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>scheme</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>ac21843402017d0a6bf169b6a750ab532</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_url_scheme_t</type>
      <name>scheme_type</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>ae55d4a3c79a86a30e892a8f94da0623c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>user</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a7820dc87cbed173a8e81df403d35920a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>password</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a86cb729a9e34a4ff4bb845911caa4c4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>host</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a426f95d68e567f85085bb46f793efcbe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a1002c75ce212166a6e54a0715cbd33c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_path</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a110e29cafeaabb1fdeba0b1f17ed211a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>dn</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a44bfef2ffbac39a2c13afead20896634</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>attributes</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a17daeb126e4a903bc9c8e6a137d37265</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>scope</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a9f56bc7e168c9ba8b74c5c823d67f27b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>filter</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>ae6a66eb239f8e492b650a2996d9c3356</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_specific_part</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a184c8c55bcaea5f9f10226b59f07800a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/builddir/build/BUILD/globus_common-14.7/library/</name>
    <path>/builddir/build/BUILD/globus_common-14.7/library/</path>
    <filename>dir_e3d620c6b6fdb93ed3bc6186215bde2e.html</filename>
    <file>freeaddrinfo.c</file>
    <file>gai_strerror.c</file>
    <file>getaddrinfo.c</file>
    <file>getnameinfo.c</file>
    <file>globus_args.c</file>
    <file>globus_args.h</file>
    <file>globus_callback.c</file>
    <file>globus_callback.h</file>
    <file>globus_callback_nothreads.c</file>
    <file>globus_callback_threads.c</file>
    <file>globus_common.c</file>
    <file>globus_common.h</file>
    <file>globus_common_include.h</file>
    <file>globus_common_paths.c</file>
    <file>globus_debug.c</file>
    <file>globus_debug.h</file>
    <file>globus_error.c</file>
    <file>globus_error.h</file>
    <file>globus_error_errno.c</file>
    <file>globus_error_errno.h</file>
    <file>globus_error_generic.c</file>
    <file>globus_error_generic.h</file>
    <file>globus_error_hierarchy.c</file>
    <file>globus_error_hierarchy.h</file>
    <file>globus_error_string.c</file>
    <file>globus_error_string.h</file>
    <file>globus_extension.c</file>
    <file>globus_extension.h</file>
    <file>globus_fifo.c</file>
    <file>globus_fifo.h</file>
    <file>globus_handle_table.c</file>
    <file>globus_handle_table.h</file>
    <file>globus_hashtable.c</file>
    <file>globus_hashtable.h</file>
    <file>globus_i_callback.h</file>
    <file>globus_i_error_errno.c</file>
    <file>globus_i_error_errno.h</file>
    <file>globus_i_error_generic.c</file>
    <file>globus_i_error_generic.h</file>
    <file>globus_i_thread.h</file>
    <file>globus_l_common_paths.h</file>
    <file>globus_libc.c</file>
    <file>globus_libc.h</file>
    <file>globus_libc_setenv.c</file>
    <file>globus_list.c</file>
    <file>globus_list.h</file>
    <file>globus_logging.c</file>
    <file>globus_logging.h</file>
    <file>globus_memory.c</file>
    <file>globus_memory.h</file>
    <file>globus_module.c</file>
    <file>globus_module.h</file>
    <file>globus_object.c</file>
    <file>globus_object.h</file>
    <file>globus_object_cache.c</file>
    <file>globus_object_cache.h</file>
    <file>globus_object_hierarchy.c</file>
    <file>globus_object_hierarchy.h</file>
    <file>globus_options.c</file>
    <file>globus_options.h</file>
    <file>globus_print.c</file>
    <file>globus_print.h</file>
    <file>globus_priority_q.c</file>
    <file>globus_priority_q.h</file>
    <file>globus_range_list.c</file>
    <file>globus_range_list.h</file>
    <file>globus_release.h</file>
    <file>globus_states.c</file>
    <file>globus_states.h</file>
    <file>globus_strptime.c</file>
    <file>globus_strptime.h</file>
    <file>globus_symboltable.c</file>
    <file>globus_symboltable.h</file>
    <file>globus_thread.c</file>
    <file>globus_thread.h</file>
    <file>globus_thread_common.c</file>
    <file>globus_thread_common.h</file>
    <file>globus_thread_none.c</file>
    <file>globus_thread_pool.c</file>
    <file>globus_thread_pool.h</file>
    <file>globus_thread_pthreads.c</file>
    <file>globus_thread_pthreads.h</file>
    <file>globus_thread_rmutex.c</file>
    <file>globus_thread_rmutex.h</file>
    <file>globus_thread_rw_mutex.c</file>
    <file>globus_thread_rw_mutex.h</file>
    <file>globus_thread_windows.c</file>
    <file>globus_thread_windows.h</file>
    <file>globus_tilde_expand.c</file>
    <file>globus_tilde_expand.h</file>
    <file>globus_time.c</file>
    <file>globus_time.h</file>
    <file>globus_url.c</file>
    <file>globus_url.h</file>
    <file>globus_uuid.c</file>
    <file>globus_uuid.h</file>
    <file>inet_addr.c</file>
    <file>inet_pton.c</file>
  </compound>
</tagfile>
